package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.common.Constants.ApiConstants;
import cn.com.ty.lift.system.entity.UserAccount;
import cn.com.ty.lift.system.entity.UserInfo;
import cn.com.ty.lift.system.entity.model.UserRequest;
import cn.com.ty.lift.system.user.service.ILoginService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户登录接口
 */
@Service
public class LoginService implements ILoginService {

    @Autowired
    private UserService userService;

    @Override
    public RestResponse register(UserRequest userRequest) {
        UserAccount userAccount = new UserAccount();
        userAccount.setMobile(userRequest.getMobile());
        userAccount.setCreateDate(new Date());
        UserInfo userInfo = new UserInfo();
        userInfo.setName(userRequest.getName());
        //密码加密

        //保存用户信息
        boolean registerFlag = userService.register(userInfo, userAccount);
        if(registerFlag){
            return RestResponse.ok(null, ApiConstants.RESULT_SUCCESS, "注册成功");
        }
        return RestResponse.error(ApiConstants.RESULT_ERROR, "注册失败");
    }
}
